Skip to main content
Version: 1.1.6

BIP340 - Sign a message using a key share

POST 

/bip340/sign

Signs a message using the given key_id. The message is signed using the secret share generated in the /bip340/keygen operation. The signature is then returned to the caller.

Request

Header Parameters

    AUTHORIZATION stringrequired

    The AUTHORIZATION header must be set to the API Key of the user. The API Key is returned when a new user is created using the /admin/create-user endpoint.

Body

required

    derivation_pathuint32[]
    extra_datastring

    Hex encoded extra data to be passed to the Rule Server. This data should be used to pass any additional information / external state to the Rule Server that is required to properly validate the signing request.

    key_idKeyIdrequired
    msgstringrequired

    The message to be signed. Has to be hex encoded.

    room_uuidstringrequired
    tweakstring

Responses

Schema

    signaturestringrequired